Subject: Re: bug#22982: 25.0.92; Forms Mode seems to fail to open data file

From: John Mastro <[email-masked]>
Date: Thu, 10 Mar 2016 16:19:26 -0800

John Mastro <[email-masked]> wrote:
> Confirmed on Emacs 25.
>
> This seems to be caused by the call ‘(set-visited-file-name nil)’ in
> ‘forms-mode’. Before that call, ‘forms-file’ is "/etc/passwd";
> afterward, it is nil.

To clarify, the result is the same if you visit the control file via the
normal ‘find-file’ and invoke ‘M-x forms-mode’.

Also, I confirmed that commenting out ‘(set-visited-file-name nil)’
prevents the error, though that's unlikely to be the right fix on its
own.

-- 
john